---
title: Get sign-in activities
url: https://www.tines.com/docs/api/admin/users/get-signin-activities/
updated: 2024-05-21T14:23:16+00:00
description: "Retrieve a list of sign-in activities by a specified user. This endpoint returns a subset of the data available at the [Audit Logs endpoint](https://www.tines.com/api/audit-logs/list)."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Users](https://www.tines.com/llm/docs/api/admin/users.md)*

# Get sign-in activities

*[View on tines.com](https://www.tines.com/docs/api/admin/users/get-signin-activities/)*

## Description

Retrieve a list of sign-in activities by a specified user. This endpoint returns a subset of the data available at the [Audit Logs endpoint](https://www.tines.com/api/audit-logs/list).

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| before          | **Optional** Only include logins created before this timestamp                                      |
| after           | **Optional** Only include logins created after this timestamp                                       |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

| Path Parameter | Description     |
| -------------- | --------------- |
| user_id        | ID of the user. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/users/<<user_id>>/signin_activities \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing login events by the specified user.

### Field description

| Parameter  | Description                                 |
| ---------- | ------------------------------------------- |
| id         | Signin Activity ID.                         |
| user_id    | Id of user that signed in                   |
| user_agent | User agent string of client used to sign in |
| ip         | IP address of signin                        |
| created_at | Timestamp describing when user logged in    |

### Sample response

<!-- cspell:disable -->

```json
{
  "admin/login_activities": [
    {
      "created_at": "2022-10-19T14:25:18Z",
      "id": 220,
      "user_id": 72,
      "ip": "192.158.1.38",
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.100 Safari/537.36"
    },
    {
      "created_at": "2022-10-19T14:25:18Z",
      "id": 219,
      "user_id": 72,
      "ip": "2001:db8:3333:4444:5555:6666:7777:8888",
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/105.0.0.0 Safari/537.36"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/admin/users/72/signin_activities?per_page=20&page=1",
    "previous_page": null,
    "next_page": "https://<tenant-domain>/api/v1/admin/users/72/signin_activities?per_page=20&page=2",
    "next_page_number": 2,
    "per_page": 20,
    "pages": 2,
    "count": 25
  }
}
```

<!-- cspell:enable -->
